FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI_append_csky = "file://src/basic/architecture.h \
                       file://src/basic/architecture.c \
					   "

S = "${WORKDIR}/git"

do_configure_prepend_csky() {
    echo "THISDIR= ${THISDIR}/${PN}"
	echo "PN=${PN}"
	echo "PV=${PV}"
	if [ -d "${WORKDIR}/src" -a -d "${S}" ]; then
        cp -rf ${WORKDIR}/src ${S}/
    fi  
}

pkg_postinst_udev-hwdb () {
	if test -n "$D"; then
      	echo	"$INTERCEPT_DIR/postinst_intercept update_udev_hwdb ${PKG} mlprefix=${MLPREFIX} binprefix=${MLPREFIX} rootlibexecdir="${rootlibexecdir}" PREFERRED_PROVIDER_udev="${PREFERRED_PROVIDER_udev}""
	else
		udevadm hwdb --update
	fi
}

