SUMMARY = "The Cairo 2D vector graphics library"
DESCRIPTION = "Cairo is a multi-platform library providing anti-aliased \
vector-based rendering for multiple target backends. Paths consist \
of line segments and cubic splines and can be rendered at any width \
with various join and cap styles. All colors may be specified with \
optional translucence (opacity/alpha) and combined using the \
extended Porter/Duff compositing algebra as found in the X Render \
Extension."


FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI_append_csky = " \
                      file://configure \
                      "
 
oe_runconf_prepend_csky() {
        echo "THISDIR= ${THISDIR}/${PN}"
        echo "PN=${PN}"
        echo "PV=${PV}"
        if [ -f "${WORKDIR}/configure" -a -d "${WORKDIR}/${PN}-${PV}" ]; then
            cp -rf ${WORKDIR}/configure ${WORKDIR}/${PN}-${PV}/
        fi
}
